#include <stdio.h>
#include <math.h>

using namespace std;

int main(){
    float p, q, r;
    long long L, R;
    int res = 0;
    scanf("%f%f%f%ld%ld", &p, &q, &r, &L, &R);
    for(int i = L; i<=R; i++){
        if(i >= ceil(i/p)+ceil(i/q)+ceil(i/r))
            res++;
    }
    printf("%d\n", res);
    return 0;
}